Subject: bug#14034: 24.3.50; M-/ runs diff-undo in Diff mode

From: Richard Copley <[email-masked]>
Date: Sat, 23 Mar 2013 10:27:06 +0000

On 23 March 2013 04:29, Dmitry Gutov <[email-masked]> wrote:
> <[email-masked]> writes:
>
>> In Diff mode, M-/ runs diff-undo. It should do dynamic completion, the
>> same as everywhere else.
>
> Looking at diff-mode code, it appears to me we should simply remove the
> explicit "/" binding. `diff-mode-shared-map' already remaps undo to
> diff-undo.
>
> Objections, anyone?

Other useful commands keys get clobbered there, like M-TAB for
completion-at-point, M-{ and M-} for backward- and forward-paragraph,
and the M-o prefix.

Where do these strange M- mappings come from? Specifying "x" in that
list binds "M-x" as well. That's crazy.